package com.yfd.platform.modules.auxcontrol.service;

import com.yfd.platform.modules.auxcontrol.domain.DeviceAlarmRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 变电站-辅控设备-告警记录 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IDeviceAlarmRecordService extends IService<DeviceAlarmRecord> {

    /**********************************
     * 用途说明: 生成报警记录
     * 参数说明
     * from  'IEC104','IEC61850'
     * type  'yx','yc'
     * slave_ip   服务器IP
     * address   地址
     * value         值
     * 返回值说明: 无返回值
     ***********************************/
    void doAlaramRecord(String from,String type,String slaveIp,String address,String value);
}
