package com.yfd.platform.utils;

import cn.hutool.core.date.DateTime;
import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.FileUtil;
import cn.hutool.core.util.NumberUtil;
import cn.hutool.core.util.RandomUtil;
import cn.hutool.core.util.StrUtil;
import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.yfd.platform.config.ResponseResult;
import org.bytedeco.javacpp.presets.opencv_core;
import org.checkerframework.checker.units.qual.A;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.net.URLDecoder;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public class TestFileDir {
    public static void main(String[] args) throws Exception {

        String sipMessage = "INVITE sip:170330000303060021@22.58.166.219:5060 SIP/2.0\n" +
                "Via: SIP/2.0/UDP 22.58.160.19:5060;branch=z9hG4bKfa0e9e68ba6a17b28ec894f73309fe46e.0\n" +
                "Via: SIP/2.0/UDP 22.58.160.19:5083;rport=5083;branch=z9hG4bK1223840924\n" +
                "Record-Route: <sip:22.58.160.19:5060;lr;psp=c7cf91fad1006c97c3a71a36db01f7dd>\n" +
                "From: <sip:170010000001000000@22.58.160.19:5060>;tag=1759705377\n" +
                "To: <sip:170330000303060021@22.58.166.219:5060>\n" +
                "Call-ID: 768969706\n" +
                "CSeq: 20 INVITE\n" +
                "Contact: <sip:170010000001000000@22.58.160.19:5083>\n" +
                "Max-forwards: 69\n" +
                "User-agent: eXosip/5.0.0\n" +
                "Content-Type: application/sdp\n" +
                "Content-Length:   199\n" +
                "\n" +
                "v=0\n" +
                "o=- 0 0 IN IP4 22.58.160.19\n" +
                "s=Play\n" +
                "u=\n" +
                "c=IN IP4 22.58.160.19\n" +
                "m=video 9000 RTP/AVP 108\n" +
                "y=382557257\n" +
                "a=mime:\n" +
                "a=rtpmap:108 H265/90000\n" +
                "a=fmtp:108 CIF=1;4CIF=1;F=1;K=1\n" +
                "a=rate:sub\n" +
                "a=recvonly"; // 在这里替换为您的SIP消息

        // 找到SDP内容的开始位置（即Content-Type头部之后的空行）


        // 查找以m=开头的行
        String[] sdpLines = sipMessage.split("\r\n");
        for (String line : sdpLines) {
            if (line.startsWith("m=")) {
                // 提取动态载荷类型（PT）
                String[] parts = line.split(" ");
                if (parts.length >= 4 && "video".equals(parts[1])) {
                    // 假设第三个字段是RTP/AVP，第四个字段是PT
                    String pt = parts[3].split("/")[1]; // 分割RTP/AVP和PT
                    System.out.println("提取到的PT是: " + pt);
                    break; // 找到后退出循环
                }
            }
        }
    }
}
