package com.yfd.platform.modules.auxcontrol.mapper;

import com.yfd.platform.modules.auxcontrol.domain.DeviceSignal;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 变电站-辅控设备-信号 Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface DeviceSignalMapper extends BaseMapper<DeviceSignal> {

    DeviceSignal selectOneDeviceSignal(String slaveIp, String type, String address);
    Map<String,Object> selectDeviceSignalMap(String slaveIp, String type, String address);
}
