package com.yfd.platform.modules.auxcontrol.service;

import com.yfd.platform.modules.auxcontrol.domain.DeviceWorkData;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 变电站-设备-运行数据 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IDeviceWorkDataService extends IService<DeviceWorkData> {

    /**********************************
     * 用途说明: 从设备中采集数据，并保存到数据库中
     * 参数说明
     *  from  'IEC104','IEC61850'
     * slave_ip  通信网关机地址
     * address  信号地址
     * value  数据采集结果
     * dateTime  数据采集时标
     * 返回值说明: 无
     ***********************************/
    void insertData(String from, String slave_ip, String address, String value, String dateTimeString);
}
