package com.yfd.platform.modules.auxcontrol.service;

import com.yfd.platform.modules.auxcontrol.domain.GatewayDevice;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 变电站-通讯网关设备 服务类
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
public interface IGatewayDeviceService extends IService<GatewayDevice> {

    /**********************************
     * 用途说明: 根据IP,更新心跳保持时间
     * 参数说明
     * ip 终端对应IP
     * 返回值说明: 无
     ***********************************/
    void updateKeepLiveTime(String ip);
}
